//Выводит следующие задачи, которые нужно решить
function DisplatingNextTasks(DisplayFunction,..//Функция отображения
                             SolvedTaskDatasName,..//Имена данных решенной задачи
                             NextTasksNames..//Имена последующих задач
                             )
    //Проверяем число аргументов
    nArg = argn(2);//Число аргументов
    if or(nArg == [0,2]) then
        error('The function DisplatingNextTasks takes 1 or 3 arguments');
    elseif nArg == 1 then
        SolvedTaskDatasName = [];//Имена данных решенной задачи пустые
        NextTasksNames = [];//Имена последующих задач пустые
    end
    
    //Проверяем функцию отображения
    select type(DisplayFunction)
    case 10 then
        execstr('displayFunction = ' + DisplayFunction);
    case 13 then
        displayFunction = DisplayFunction;
    case 15 then
        //Берем функцию и ее параметры
        dFunction = DisplayFunction(1);
        dFunctionParametrs = DisplayFunction(2:$);
        
        //Проверяем тип функции
        if type(dFunction) == 10 then
            execstr('dFunction = ' + dFunction);
        end
        
        //Создаем функцию
        function displayFunction(msg)
            dFunction(msg,dFunctionParametrs(:));
        endfunction
    else
        error('The argument DisplayFunction of function DisplatingNextTasks must be function type, or function name (string type), or list type (function (or function name) and parametrs)');
    end
    
    //выводим сообщение в случае пустых аргументов
    welcome = 'Reseivig datas for solving next tasks: ';
    if isempty(SolvedTaskDatasName) || isempty(NextTasksNames) then
        displayFunction(welcome);
        return;
    end
    
    //Преобразовываем аргументы
    if isempty(SolvedTaskDatasName) then
        SolvedTaskDatasName = "";
    else
        SolvedTaskDatasName = stripblanks(SolvedTaskDatasName);//Удаляем обрамляющие пробелы
    end
    if isempty(NextTasksNames) then
        NextTasksNames = "";
    else
        NextTasksNames = stripblanks(NextTasksNames);//Удаляем обрамляющие пробелы
    end
    
    //Выводим сообщение
    displayFunction(welcome + SolvedTaskDatasName + ': ' + strcat(NextTasksNames,','));
endfunction
