//Задаем путь .xml-файлов задач
function ExecuteCurrentTasks(InputRequestFunction,..//Функция входных сообщений по запросу
                             projectName,..//Имя проекта
                             tasksSep..//Разделитель задач
                             )
    //Проверяем и обрабатываем аргументы
    select argn(2) 
    case 0 then
        error('The function ExecuteCurrentTasks takes 1 or 2 arguments');
    case 1 then
        projectName = "";
        tasksSep = ','; 
    case 2 then
        tasksSep = ','; 
    end
    
    //Проверяем функцию запроса
    select type(InputRequestFunction)
    case 10 then
        execstr('inputRequestFunction = ' + InputRequestFunction);
    case 13 then
        inputRequestFunction = InputRequestFunction;
    case 15 then
        //Берем имя функции и параметры
        inRequestFunction = InputRequestFunction(1);//Имя функции
        inRequestFunctionParametrs = InputRequestFunction(2:$);//Параметры
        
        //Проверяем тип функии
        if type(inRequestFunction) == 10 then
            execstr('inRequestFunction = ' + inRequestFunction);
        end
        
        //Объявляеи функцию входных данных по запросу
        function [msg]=inputRequestFunction(strAsk)
            msg = inRequestFunction(strAsk,inRequestFunctionParametrs(:));
        endfunction
    else
        error('the argument InputRequestFunction of function ExecuteCurrentTasks must be function type, or function name (string type), or list type (function (or function name) and parametrs)');
    end
    
    //Считываем текущую задачу
    strAsk = 'Current solving tasks: ';//Строка запроса
    currentTasks = inputRequestFunction(strAsk);//Запрашиваем текущие задачи
    while length(currentTasks) > 0
        //Парсим строку запроса задач
        currentTasks = strsplit(currentTasks,tasksSep);
        
        //Выполняем текущие задачи
        ExecuteTasks(currentTasks,projectName);
        
        //Запрашиваем следующие задачи (которые на следующей итерации будут текущими)
        currentTasks = inputRequestFunction(strAsk);
    end
endfunction
